package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFJT6Response {

    @Parameter(name = "EXPL_DCLN_FIRST_NAME")
    String explDclnFirstName();

    @Parameter(name = "EXPL_DCLN_LAST_NAME")
    String explDclnLastName();

    @Parameter(name = "OUT_FIRST_NAME_4")
    String outFirstName4();

    @Parameter(name = "OUT_FIRST_NAME_5")
    String outFirstName5();

    @Parameter(name = "OUT_LAST_NAME_4")
    String outLastName4();

    @Parameter(name = "OUT_LAST_NAME_5")
    String outLastName5();

    @Parameter(name = "SC_DCLN_FIRST_NAME")
    Long scDclnFirstName();

    @Parameter(name = "SC_DCLN_LAST_NAME")
    Long scDclnLastName();

    @Parameter(name = "SRC_FIRST_NAME")
    String srcFirstName();

    @Parameter(name = "SRC_GENDER")
    String srcGender();

    @Parameter(name = "SRC_LAST_NAME")
    String srcLastName();

    @Parameter(name = "SRC_REF_ID")
    String srcRefId();

}